uk.ac.starlink.ecsv

## Enum MessagePolicy

- java.lang.Object
- - java.lang.Enum<MessagePolicy>
  - - uk.ac.starlink.ecsv.MessagePolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessagePolicy>

      public enum MessagePolicy
      extends java.lang.Enum<MessagePolicy>

  Defines how to deliver a message to the user.
  Since:
    16 Dec 2020

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAIL` Throws an IOException.
    `IGNORE` Does nothing.
    `WARN` Logs through logging system as a WARNING.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessagePolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessagePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IGNORE

          public static final MessagePolicy IGNORE

      Does nothing.

    - #### WARN

          public static final MessagePolicy WARN

      Logs through logging system as a WARNING.

    - #### FAIL

          public static final MessagePolicy FAIL

      Throws an IOException.

  - ### Method Detail

    - #### values

          public static MessagePolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessagePolicy c : MessagePolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessagePolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null